Skip to content
You're viewing documentation for v2026.11.6-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Get the mesh status

Get WireGuard mesh overlay status.

GET/api/v1/mesh/status
Authorization
tse_sessionAPI key · cookierequired
Query parameters
liveboolean

Read the reachability of each enrolled server now and store it, and ping each online peer for its current path, before the status.

Responses
200

OK

access_edgesMeshAccessEdge[]required
Show properties
Array of MeshAccessEdge
detailstringrequired
portstringrequired
reasonstringrequired
Allowed:livesyncfork-restore
source_service_idstringrequired
source_service_namestringrequired
target_service_idstringrequired
target_service_namestringrequired
backup_serversMeshNode[]required
Show properties
Array of MeshNode
connectionstringrequired
enroll_statestringrequired
last_handshakestringrequired
last_seenstringrequired
namestringrequired
onlineboolean

Only for the control plane: Headscale says that it is online. A server has reachable.

overlay_ipstringrequired
reachableboolean

For a server: true when its fresh reachability note says that the console reaches it, false when it says not or the ping of a live read failed. Absent when no fresh reading tells it (the rule of the reachable field of a server), and for the control plane.

rolestringrequired
server_idstringrequired
sincestringrequired

RFC3339 time at which the server last became reachable or unreachable: the since of its reachability note. Empty when the server has no fresh reading, when a live ping overrides a note that says reachable, and for the control plane.

tagsstring[]required
control_planeMeshNoderequired
Show properties
connectionstringrequired
enroll_statestringrequired
last_handshakestringrequired
last_seenstringrequired
namestringrequired
onlineboolean

Only for the control plane: Headscale says that it is online. A server has reachable.

overlay_ipstringrequired
reachableboolean

For a server: true when its fresh reachability note says that the console reaches it, false when it says not or the ping of a live read failed. Absent when no fresh reading tells it (the rule of the reachable field of a server), and for the control plane.

rolestringrequired
server_idstringrequired
sincestringrequired

RFC3339 time at which the server last became reachable or unreachable: the since of its reachability note. Empty when the server has no fresh reading, when a live ping overrides a note that says reachable, and for the control plane.

tagsstring[]required
dcs_clustersMeshService[]required
Show properties
Array of MeshService
idstringrequired
namestringrequired
nodesMeshNode[]required
Show properties
Array of MeshNode
connectionstringrequired
enroll_statestringrequired
last_handshakestringrequired
last_seenstringrequired
namestringrequired
onlineboolean

Only for the control plane: Headscale says that it is online. A server has reachable.

overlay_ipstringrequired
reachableboolean

For a server: true when its fresh reachability note says that the console reaches it, false when it says not or the ping of a live read failed. Absent when no fresh reading tells it (the rule of the reachable field of a server), and for the control plane.

rolestringrequired
server_idstringrequired
sincestringrequired

RFC3339 time at which the server last became reachable or unreachable: the since of its reachability note. Empty when the server has no fresh reading, when a live ping overrides a note that says reachable, and for the control plane.

tagsstring[]required
enabledbooleanrequired
service_namesobjectrequired
servicesMeshService[]required
Show properties
Array of MeshService
idstringrequired
namestringrequired
nodesMeshNode[]required
Show properties
Array of MeshNode
connectionstringrequired
enroll_statestringrequired
last_handshakestringrequired
last_seenstringrequired
namestringrequired
onlineboolean

Only for the control plane: Headscale says that it is online. A server has reachable.

overlay_ipstringrequired
reachableboolean

For a server: true when its fresh reachability note says that the console reaches it, false when it says not or the ping of a live read failed. Absent when no fresh reading tells it (the rule of the reachable field of a server), and for the control plane.

rolestringrequired
server_idstringrequired
sincestringrequired

RFC3339 time at which the server last became reachable or unreachable: the since of its reachability note. Empty when the server has no fresh reading, when a live ping overrides a note that says reachable, and for the control plane.

tagsstring[]required
unassignedMeshNode[]required
Show properties
Array of MeshNode
connectionstringrequired
enroll_statestringrequired
last_handshakestringrequired
last_seenstringrequired
namestringrequired
onlineboolean

Only for the control plane: Headscale says that it is online. A server has reachable.

overlay_ipstringrequired
reachableboolean

For a server: true when its fresh reachability note says that the console reaches it, false when it says not or the ping of a live read failed. Absent when no fresh reading tells it (the rule of the reachable field of a server), and for the control plane.

rolestringrequired
server_idstringrequired
sincestringrequired

RFC3339 time at which the server last became reachable or unreachable: the since of its reachability note. Empty when the server has no fresh reading, when a live ping overrides a note that says reachable, and for the control plane.

tagsstring[]required
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X GET 'https://console.example.com/api/v1/mesh/status' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "access_edges": [
    {
      "detail": "string",
      "port": "string",
      "reason": "livesync",
      "source_service_id": "string",
      "source_service_name": "string",
      "target_service_id": "string",
      "target_service_name": "string"
    }
  ],
  "backup_servers": [
    {
      "connection": "string",
      "enroll_state": "string",
      "last_handshake": "string",
      "last_seen": "string",
      "name": "string",
      "online": true,
      "overlay_ip": "string",
      "reachable": true,
      "role": "string",
      "server_id": "string",
      "since": "string",
      "tags": [
        "string"
      ]
    }
  ],
  "control_plane": {
    "connection": "string",
    "enroll_state": "string",
    "last_handshake": "string",
    "last_seen": "string",
    "name": "string",
    "online": true,
    "overlay_ip": "string",
    "reachable": true,
    "role": "string",
    "server_id": "string",
    "since": "string",
    "tags": [
      "string"
    ]
  },
  "dcs_clusters": [
    {
      "id": "string",
      "name": "string",
      "nodes": [
        {
          "connection": "string",
          "enroll_state": "string",
          "last_handshake": "string",
          "last_seen": "string",
          "name": "string",
          "online": true,
          "overlay_ip": "string",
          "reachable": true,
          "role": "string",
          "server_id": "string",
          "since": "string",
          "tags": [
            "string"
          ]
        }
      ]
    }
  ],
  "enabled": true,
  "service_names": {
    "property1": "string",
    "property2": "string"
  },
  "services": [
    {
      "id": "string",
      "name": "string",
      "nodes": [
        {
          "connection": "string",
          "enroll_state": "string",
          "last_handshake": "string",
          "last_seen": "string",
          "name": "string",
          "online": true,
          "overlay_ip": "string",
          "reachable": true,
          "role": "string",
          "server_id": "string",
          "since": "string",
          "tags": [
            "string"
          ]
        }
      ]
    }
  ],
  "unassigned": [
    {
      "connection": "string",
      "enroll_state": "string",
      "last_handshake": "string",
      "last_seen": "string",
      "name": "string",
      "online": true,
      "overlay_ip": "string",
      "reachable": true,
      "role": "string",
      "server_id": "string",
      "since": "string",
      "tags": [
        "string"
      ]
    }
  ]
}